$('#user_management').hide();


//ユーザー管理
$('#user_button').on('click', function(){
  $('#user_management').show();
  $('#shoe_management').hide();
})


//権限変更の確認アラート	
$('.roleBtn').click(function(event){
	var token = $("meta[name='_csrf']").attr("content");
	var header = $("meta[name='_csrf_header']").attr("content");
	$(document).ajaxSend(function(e, xhr, options) {
		xhr.setRequestHeader(header, token);
	});
	console.log("ok");
	if(confirm('本当に権限を変更しますか?')) {
		//user権限変更
		let userIntId = event.target.parentElement.parentElement.parentElement.parentElement.parentElement.children[0].textContent;
		let userId = parseInt(event.target.parentElement.parentElement.parentElement.parentElement.parentElement.children[0].textContent);
		let userRole = event.target.parentElement.parentElement.parentElement.parentElement.parentElement.children[2].textContent;
		let RoleForm = event.target.parentElement.parentElement.parentElement.parentElement.parentElement.children[2];

		let data = {
				id: userId,
				roles: userRole
		};

		$.ajax({
			type:'POST',
			url:'management/'+ userIntId + '/changeRole',
			contentType: 'application/json',
			dataType: "json",
			data: JSON.stringify(data)
		})
		.done(function(data1,textStatus,jqXHR){
			//レスポンスからuserRole取得
			let responseRole = data1.roles;
			//HTML上で書き換え
			RoleForm.textContent = responseRole;
		})
	}
})


//商品管理
$('#shoe_button').on('click', function(){
  $('#user_management').hide();
  $('#shoe_management').show();
})

//商品削除確認アラート
$('.shoeDeleteBtn').on('click', function(){
  if(!confirm('本当に商品情報を削除しますか?')) {
    return false;
  }else{
    //削除機能への遷移
	  
  }
})